package com.xinelu.manage.service.servicepackage;

import com.xinelu.common.core.page.TableDataInfo;
import com.xinelu.manage.dto.servicepackage.ServicePackageAddDTO;
import com.xinelu.manage.dto.servicepackage.ServicePackageDto;
import com.xinelu.manage.vo.servicepackage.ServicePackageDetailVO;
import com.xinelu.manage.vo.servicepackage.ServicePackageVO;
import java.util.List;

/**
 * 服务包基础信息Service接口
 *
 * @author xinelu
 * @date 2024-03-03
 */
public interface IServicePackageService {
    /**
     * 查询服务包基础信息
     *
     * @param id 服务包基础信息主键
     * @return 服务包基础信息
     */
    public ServicePackageDetailVO selectServicePackageById(Long id);

	ServicePackageVO getById(Long id);

    /**
     * 查询服务包基础信息列表
     *
     * @param servicePackage 服务包基础信息
     * @return 服务包基础信息集合
     */
    public TableDataInfo selectServicePackageList(ServicePackageDto servicePackage);

	/**
	 * 查询服务包基础信息列表
	 *
	 * @param servicePackage 服务包基础信息
	 * @return 服务包基础信息集合
	 */
	List<ServicePackageVO> selectList(ServicePackageDto servicePackage);

    /**
     * 新增服务包基础信息
     *
     * @param servicePackageAddDTO 服务包基础信息
     * @return 结果
     */
    public int insertServicePackage(ServicePackageAddDTO servicePackageAddDTO);

    /**
     * 修改服务包基础信息
     *
     * @param servicePackageAddDTO 服务包基础信息
     * @return 结果
     */
    public int updateServicePackage(ServicePackageAddDTO servicePackageAddDTO);

    /**
     * 批量删除服务包基础信息
     *
     * @param ids 需要删除的服务包基础信息主键集合
     * @return 结果
     */
    public int deleteServicePackageByIds(Long[] ids);

    /**
     * 删除服务包基础信息信息
     *
     * @param id 服务包基础信息主键
     * @return 结果
     */
    public int deleteServicePackageById(Long id);

    /**
     * 修改服务包发布状态
     */
    int editReleaseStatus(Long id, Integer whetherRelease);
}
